Bug 1497683 - rpmlint shows crypto-policy-non-compliance-openssl warning even when package is compliant
Summary: rpmlint shows crypto-policy-non-compliance-openssl warning even when package ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-02 13:03 UTC by Sergey Avseyev
Modified: 2017-11-11 03:08 UTC (History)
6 users (show)

Fixed In Version: rpmlint-1.10-5.fc25 rpmlint-1.10-5.fc26 rpmlint-1.10-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-06 23:33:32 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1495985 'unspecified' 'CLOSED' 'Review Request: libcouchbase - Client and protocol library for the Couchbase project' 2019-12-06 07:28:50 UTC

Internal Links: 1495985

Description Sergey Avseyev 2017-10-02 13:03:35 UTC
Description of problem:


Version-Release number of selected component (if applicable):
$ rpmlint --version
rpmlint version 1.10 Copyright (C) 1999-2007 Frederic Lepied, Mandriva


How reproducible:
libcouchbase project uses SSL_CTX_set_cipher_list API call, but
passing it "PROFILE=SYSTEM" as prescribed by https://fedoraproject.org/wiki/Packaging:CryptoPolicies

Actual results:

rpmlint still generates warning for binary package

  libcouchbase.x86_64: W: crypto-policy-non-compliance-openssl /usr/lib64/libcouchbase.so.2.0.49 SSL_CTX_set_cipher_list


Expected results:

No warnings generated realated to SSL_CTX_set_cipher_list

Additional info:
libcouchbase review request: https://bugzilla.redhat.com/show_bug.cgi?id=1495985

Comment 1 Fedora Update System 2017-10-29 16:37:14 UTC
rpmlint-1.10-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-841ee1c007

Comment 2 Fedora Update System 2017-10-29 16:37:27 UTC
rpmlint-1.10-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-49f7e42e58

Comment 3 Fedora Update System 2017-10-29 16:37:33 UTC
rpmlint-1.10-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2d8b70eb7f

Comment 4 Fedora Update System 2017-10-29 17:03:46 UTC
rpmlint-1.10-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f12a0c02a

Comment 5 Fedora Update System 2017-10-29 17:03:59 UTC
rpmlint-1.10-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0bd0e1259

Comment 6 Fedora Update System 2017-10-29 17:04:12 UTC
rpmlint-1.10-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff7ac149b3

Comment 7 Fedora Update System 2017-10-30 14:46:47 UTC
rpmlint-1.10-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff7ac149b3

Comment 8 Fedora Update System 2017-10-30 16:42:31 UTC
rpmlint-1.10-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f12a0c02a

Comment 9 Fedora Update System 2017-10-30 17:06:34 UTC
rpmlint-1.10-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0bd0e1259

Comment 10 Fedora Update System 2017-11-06 23:33:32 UTC
rpmlint-1.10-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-06 23:34:02 UTC
rpmlint-1.10-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-11-11 03:08:59 UTC
rpmlint-1.10-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.